petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCompositeAddMat

add another matrix to a composite matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCompositeAddMat(Mat mat,Mat smat)

Collective on Mat

### Input Parameters

| mat | - the composite matrix
| smat | - the partial matrix

### See Also

MatCreateComposite()

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages